# Generated by Django 4.1.3 on 2022-12-28 06:47

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('user_app', '0009_interests'),
    ]

    operations = [
        migrations.CreateModel(
            name='UserInterests',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Created at')),
                ('interests', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_interests', to='user_app.interests', verbose_name='Interests')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='user_interests', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'User interest',
                'verbose_name_plural': 'User interests',
            },
        ),
    ]
